Loading...
Searching...
No Matches
Opm::Linear::OverlappingBCRSMatrix< BCRSMatrix > Class Template Reference

An overlap aware block-compressed row storage (BCRS) matrix. More...

`#include <overlappingbcrsmatrix.hh>`

Inheritance diagram for Opm::Linear::OverlappingBCRSMatrix< BCRSMatrix >:

## Public Types

using | Overlap = Opm::Linear::DomesticOverlapFromBCRSMatrix
using | ColIterator = typename ParentType::ColIterator
using | ConstColIterator = typename ParentType::ConstColIterator
using | block_type = typename ParentType::block_type
using | field_type = typename ParentType::field_type

## Public Member Functions

| OverlappingBCRSMatrix (const OverlappingBCRSMatrix &other)
template<class NativeBCRSMatrix>
| OverlappingBCRSMatrix (const NativeBCRSMatrix &nativeMatrix, const BorderList &borderList, const BlackList &blackList, unsigned overlapSize)
| OverlappingBCRSMatrix (size_t, size_t, typename BCRSMatrix::BuildMode)
ParentType & | asParent ()
const ParentType & | asParent () const
const Overlap & | overlap () const
| Returns the domestic overlap for the process.
void | assignAdd (const ParentType &nativeMatrix)
| Assign and syncronize the overlapping matrix from a non-overlapping one.
template<class NativeBCRSMatrix>
void | assignCopy (const NativeBCRSMatrix &nativeMatrix)
| Assign and syncronize the overlapping matrix from a non-overlapping one.
void | resetFront ()
| Set the identity matrix on the main diagonal of front indices.
void | print () const
template<class NativeBCRSMatrix>
void | assignFromNative (const NativeBCRSMatrix &nativeMatrix)
void | syncAdd ()
void | syncCopy ()

## Detailed Description

template<class BCRSMatrix>
class Opm::Linear::OverlappingBCRSMatrix< BCRSMatrix >

An overlap aware block-compressed row storage (BCRS) matrix.

## Member Function Documentation

## assignCopy()

template<class BCRSMatrix>
template<class NativeBCRSMatrix>

void Opm::Linear::OverlappingBCRSMatrix< BCRSMatrix >::assignCopy | ( | const NativeBCRSMatrix & | nativeMatrix | ) |

inline

Assign and syncronize the overlapping matrix from a non-overlapping one.

The non-master entries are copied from the master

The documentation for this class was generated from the following file:

- opm/simulators/linalg/overlappingbcrsmatrix.hh